Name:          joda-time-hibernate
Version:       1.4
Release:       1%{?dist}
Summary:       Contribution to Joda-Time that adds Hibernate support
License:       ASL 2.0
URL:           http://www.joda.org/joda-time-hibernate/
Source0:       https://github.com/JodaOrg/joda-time-hibernate/archive/HIBERNATE_v%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(hsqldb:hsqldb:1)
BuildRequires: mvn(joda-time:joda-time)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.hibernate:hibernate-core:3)
BuildRequires: mvn(org.hibernate:hibernate-entitymanager:3)

BuildArch:     noarch

%description
Joda-Time provides a complete quality alternative to the
JDK date and time classes. At some point however, many
projects need to persist these classes to a database.
One popular tool for achieving this is Hibernate.

To ease the integration of Joda-Time and Hibernate, this
sub-project was setup. It aims to provide the classes
necessary to persist Joda-Time objects. 

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-HIBERNATE_v%{version}

%pom_remove_plugin com.github.github:site-maven-plugin
%pom_remove_plugin :maven-assembly-plugin
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :maven-source-plugin
%pom_xpath_remove "pom:plugin[pom:artifactId = 'maven-javadoc-plugin']/pom:executions"

# Remove pre-configured OSGi manifest file
rm src/conf/MANIFEST.MF
%pom_remove_plugin :maven-jar-plugin
# Generate OSGi manifest file
%pom_xpath_set "pom:project/pom:packaging" bundle
%pom_add_plugin org.apache.felix:maven-bundle-plugin:2.5.4 . "
<extensions>true</extensions>
<configuration>
 <instructions>
  <Bundle-DocURL>\${project.url}</Bundle-DocURL>
  <Bundle-Version>\${project.version}</Bundle-Version>
  <Extension-Name>\${project.artifactId}</Extension-Name>
  <Implementation-Title>org.joda.time.contrib.hibernate</Implementation-Title>
  <Implementation-Vendor>Joda.org</Implementation-Vendor>
  <Implementation-Version>\${project.version}</Implementation-Version>
  <Implementation-Vendor-Id>org.joda</Implementation-Vendor-Id>
  <Package>org.joda.time</Package>
  <Specification-Title>Joda-Time Hibernate support</Specification-Title>
  <Specification-Vendor>Joda.org</Specification-Vendor>
  <Specification-Version>\${project.version}</Specification-Version>
 </instructions>
</configuration>
<executions>
 <execution>
  <id>bundle-manifest</id>
  <phase>process-classes</phase>
  <goals>
   <goal>manifest</goal>
  </goals>
 </execution>
</executions>"

%pom_change_dep :hsqldb ::1
%pom_change_dep org.hibernate: ::3

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.txt RELEASE-NOTES.txt
%license LICENSE.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt

%changelog
* Tue Apr 05 2016 gil cattaneo <puntogil@libero.it> 1.4-1
- initial rpm

